Package com.usatiuk.dhfs.peersync

# Class PeerInfoProtoSerializer

java.lang.Object
com.usatiuk.dhfs.peersync.PeerInfoProtoSerializer

All Implemented Interfaces:
  `ProtoSerializer<PeerInfoP,PeerInfo>`

@Singleton public class PeerInfoProtoSerializer extends Object implements ProtoSerializer<PeerInfoP,PeerInfo>

## Constructor Summary

Constructors
Constructor
Description
`PeerInfoProtoSerializer()`

## Method Summary

Modifier and Type
Method
Description
`PeerInfo`
`deserialize(PeerInfoP message)`
`PeerInfoP`
`serialize(PeerInfo object)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PeerInfoProtoSerializer

public PeerInfoProtoSerializer()

## Method Details

### deserialize

public PeerInfo deserialize(PeerInfoP message)

Specified by:
  `deserialize` in interface `ProtoSerializer<PeerInfoP,PeerInfo>`

### serialize

public PeerInfoP serialize(PeerInfo object)

Specified by:
  `serialize` in interface `ProtoSerializer<PeerInfoP,PeerInfo>`